"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocsPlugin = void 0;
const DocsTool_1 = require("./DocsTool");
class DocsPlugin {
    constructor(session, configFile) {
        this.configFile = undefined;
        this.session = session;
        this.configFile = configFile;
    }
    async onInitializeAsync() {
        this.session.registerTool({
            toolName: 'rush_docs',
            description: 'Search and retrieve relevant sections from the official Rush documentation based on user queries.'
        }, new DocsTool_1.DocsTool(this));
    }
}
exports.DocsPlugin = DocsPlugin;
//# sourceMappingURL=DocsPlugin.js.map